Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Update to Rails 3.2.8 #18

Merged
merged 1 commit into from

2 participants

@panupan

Changed back to using sqlite3 (less setup). Got rid of Devise depreciation warning. first_name and last_name being sent to client properly.

@panupan panupan Update to Rails 3.2.8
Changed back to using sqlite3 (less setup). Got rid of Devise depreciation warning. first_name and last_name being sent to client properly.
b275029
@gautamrege gautamrege merged commit 16019d2 into joshsoftware:master
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Nov 2, 2012
  1. @panupan

    Update to Rails 3.2.8

    panupan authored
    Changed back to using sqlite3 (less setup). Got rid of Devise depreciation warning. first_name and last_name being sent to client properly.
This page is out of date. Refresh to see the latest.
View
1  .gitignore
@@ -3,3 +3,4 @@ log/*.log
tmp/**/*
config/initializers/omniauth.rb
db/*.sqlite3
+*.swp
View
3  Gemfile
@@ -1,8 +1,7 @@
source 'http://rubygems.org'
-gem 'rails', '3.2.6'
+gem 'rails', '3.2.8'
gem 'sqlite3'
-gem 'mysql2'
# asset pipeline
group :assets do
View
84 Gemfile.lock
@@ -1,43 +1,43 @@
GEM
remote: http://rubygems.org/
specs:
- actionmailer (3.2.6)
- actionpack (= 3.2.6)
+ actionmailer (3.2.8)
+ actionpack (= 3.2.8)
mail (~> 2.4.4)
- actionpack (3.2.6)
- activemodel (= 3.2.6)
- activesupport (= 3.2.6)
+ actionpack (3.2.8)
+ activemodel (= 3.2.8)
+ activesupport (= 3.2.8)
builder (~> 3.0.0)
erubis (~> 2.7.0)
- journey (~> 1.0.1)
+ journey (~> 1.0.4)
rack (~> 1.4.0)
rack-cache (~> 1.2)
rack-test (~> 0.6.1)
sprockets (~> 2.1.3)
- activemodel (3.2.6)
- activesupport (= 3.2.6)
+ activemodel (3.2.8)
+ activesupport (= 3.2.8)
builder (~> 3.0.0)
- activerecord (3.2.6)
- activemodel (= 3.2.6)
- activesupport (= 3.2.6)
+ activerecord (3.2.8)
+ activemodel (= 3.2.8)
+ activesupport (= 3.2.8)
arel (~> 3.0.2)
tzinfo (~> 0.3.29)
- activeresource (3.2.6)
- activemodel (= 3.2.6)
- activesupport (= 3.2.6)
- activesupport (3.2.6)
+ activeresource (3.2.8)
+ activemodel (= 3.2.8)
+ activesupport (= 3.2.8)
+ activesupport (3.2.8)
i18n (~> 0.6)
multi_json (~> 1.0)
arel (3.0.2)
bcrypt-ruby (3.0.1)
- builder (3.0.0)
+ builder (3.0.4)
coffee-rails (3.2.2)
coffee-script (>= 2.2.0)
railties (~> 3.2.0)
coffee-script (2.2.0)
coffee-script-source
execjs
- coffee-script-source (1.3.3)
+ coffee-script-source (1.4.0)
devise (2.1.2)
bcrypt-ruby (~> 3.0)
orm_adapter (~> 0.1)
@@ -48,20 +48,19 @@ GEM
multi_json (~> 1.0)
hashie (1.2.0)
hike (1.2.1)
- i18n (0.6.0)
+ i18n (0.6.1)
journey (1.0.4)
- jquery-rails (2.0.2)
- railties (>= 3.2.0, < 5.0)
+ jquery-rails (2.1.3)
+ railties (>= 3.1.0, < 5.0)
thor (~> 0.14)
- json (1.7.3)
+ json (1.7.5)
mail (2.4.4)
i18n (>= 0.4.0)
mime-types (~> 1.16)
treetop (~> 1.4.8)
mime-types (1.19)
- multi_json (1.3.6)
- mysql2 (0.3.11)
- omniauth (1.1.0)
+ multi_json (1.3.7)
+ omniauth (1.1.1)
hashie (~> 1.2)
rack
orm_adapter (0.4.0)
@@ -71,19 +70,19 @@ GEM
rack (>= 0.4)
rack-ssl (1.3.2)
rack
- rack-test (0.6.1)
+ rack-test (0.6.2)
rack (>= 1.0)
- rails (3.2.6)
- actionmailer (= 3.2.6)
- actionpack (= 3.2.6)
- activerecord (= 3.2.6)
- activeresource (= 3.2.6)
- activesupport (= 3.2.6)
+ rails (3.2.8)
+ actionmailer (= 3.2.8)
+ actionpack (= 3.2.8)
+ activerecord (= 3.2.8)
+ activeresource (= 3.2.8)
+ activesupport (= 3.2.8)
bundler (~> 1.0)
- railties (= 3.2.6)
- railties (3.2.6)
- actionpack (= 3.2.6)
- activesupport (= 3.2.6)
+ railties (= 3.2.8)
+ railties (3.2.8)
+ actionpack (= 3.2.8)
+ activesupport (= 3.2.8)
rack-ssl (~> 1.3.2)
rake (>= 0.8.7)
rdoc (~> 3.4)
@@ -91,7 +90,7 @@ GEM
rake (0.9.2.2)
rdoc (3.12)
json (~> 1.4)
- sass (3.1.20)
+ sass (3.2.1)
sass-rails (3.2.5)
railties (~> 3.2.0)
sass (>= 3.1.10)
@@ -101,15 +100,15 @@ GEM
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
sqlite3 (1.3.6)
- thor (0.15.4)
+ thor (0.16.0)
tilt (1.3.3)
- treetop (1.4.10)
+ treetop (1.4.12)
polyglot
polyglot (>= 0.3.1)
- tzinfo (0.3.33)
- uglifier (1.2.6)
+ tzinfo (0.3.34)
+ uglifier (1.3.0)
execjs (>= 0.3.0)
- multi_json (~> 1.3)
+ multi_json (~> 1.0, >= 1.0.2)
warden (1.2.1)
rack (>= 1.0)
@@ -120,9 +119,8 @@ DEPENDENCIES
coffee-rails (~> 3.2.1)
devise
jquery-rails
- mysql2
omniauth
- rails (= 3.2.6)
+ rails (= 3.2.8)
sass-rails (~> 3.2.3)
sqlite3
uglifier (>= 1.0.3)
View
6 app/controllers/auth_controller.rb
@@ -39,7 +39,11 @@ def user
:provider => 'josh_id',
:id => current_user.id.to_s,
:info => {
- :email => current_user.email, # change if required
+ :email => current_user.email,
+ },
+ :extra => {
+ :first_name => current_user.first_name,
+ :last_name => current_user.last_name
}
}
View
6 config/database.yml
@@ -1,10 +1,8 @@
# SQLite version 3.x
# gem install sqlite3-ruby (not necessary on OS X Leopard)
development:
- adapter: mysql2
- database: sso-rails3-provider
- username: root
- password:
+ adapter: sqlite3
+ database: db/development.sqlite3
pool: 5
timeout: 5000
View
2  config/initializers/devise.rb
@@ -69,7 +69,7 @@
# If true, uses the password salt as remember token. This should be turned
# to false if you are not using database authenticatable.
- config.use_salt_as_remember_token = true
+ # config.use_salt_as_remember_token = true
# ==> Configuration for :validatable
# Range for password length. Default is 6..20.
Something went wrong with that request. Please try again.